function CVPR15Evaluation(LIB, VS, PATH, Param, LabelSet, Flag)



%% Navie Bayes Model
if Flag.evaluation.naivebayes
    fprintf('++++++++++++++++++++++++++++++++\n');
    fprintf('Evaluate Navie Bayes Model ...\n');
    gt_fold = cell(sum(VS.test),1);
    svMap_path = cell(sum(VS.test),1);
    label_list = cell(sum(VS.test),1);
    k = 0;
    for i=1:length(VS.vid)
        if VS.test(i) == 1
            k = k+1;
            gt_fold{k} = fullfile(VS.gtPixIdPath, VS.vid{i});
            svMap_path{k} = fullfile(PATH.svTSPMat, VS.vid{i});
            label_list{k} = fullfile(PATH.modFlat, ...
                'combine', [VS.vid{i},'.mat']);
        end
    end
    evaluate_dataset(LabelSet, gt_fold, svMap_path, label_list);
end


%% Joint Product Space Model
if Flag.evaluation.jointps
    fprintf('++++++++++++++++++++++++++++++++\n');
    fprintf('Evaluate Joint Product Space Model ...\n');
    gt_fold = cell(sum(VS.test),1);
    svMap_path = cell(sum(VS.test),1);
    label_list = cell(sum(VS.test),1);
    k = 0;
    for i=1:length(VS.vid)
        if VS.test(i) == 1
            k = k+1;
            gt_fold{k} = fullfile(VS.gtPixIdPath, VS.vid{i});
            svMap_path{k} = fullfile(PATH.svTSPMat, VS.vid{i});
            label_list{k} = fullfile(PATH.modFlat, ...
                'ObjAct', [VS.vid{i},'.mat']);
        end
    end
    evaluate_dataset(LabelSet, gt_fold, svMap_path, label_list);
end


%% Conditional Model
if Flag.evaluation.conditional
    fprintf('++++++++++++++++++++++++++++++++\n');
    fprintf('Evaluate Conditional Model ...\n');
    gt_fold = cell(sum(VS.test),1);
    svMap_path = cell(sum(VS.test),1);
    label_list = cell(sum(VS.test),1);
    k = 0;
    for i=1:length(VS.vid)
        if VS.test(i) == 1
            k = k+1;
            gt_fold{k} = fullfile(VS.gtPixIdPath, VS.vid{i});
            svMap_path{k} = fullfile(PATH.svTSPMat, VS.vid{i});
            label_list{k} = fullfile(PATH.modCondition, ...
                [VS.vid{i},'.mat']);
        end
    end
    evaluate_dataset(LabelSet, gt_fold, svMap_path, label_list);
end


%% Bilayer Model
if Flag.evaluation.bilayer
    fprintf('++++++++++++++++++++++++++++++++\n');
    fprintf('Evaluate Bilayer Model ...\n');
    gt_fold = cell(sum(VS.test),1);
    svMap_path = cell(sum(VS.test),1);
    label_list = cell(sum(VS.test),1);
    k = 0;
    for i=1:length(VS.vid)
        if VS.test(i) == 1
            k = k+1;
            gt_fold{k} = fullfile(VS.gtPixIdPath, VS.vid{i});
            svMap_path{k} = fullfile(PATH.svTSPMat, VS.vid{i});
            label_list{k} = fullfile(PATH.modBilayer, [VS.vid{i},'.mat']);
        end
    end
    evaluate_dataset(LabelSet, gt_fold, svMap_path, label_list);
end


%% Trilayer Model
if Flag.evaluation.trilayer
    fprintf('++++++++++++++++++++++++++++++++\n');
    fprintf('Evaluate Trilayer Model ...\n');
    gt_fold = cell(sum(VS.test),1);
    svMap_path = cell(sum(VS.test),1);
    label_list = cell(sum(VS.test),1);
    k = 0;
    for i=1:length(VS.vid)
        if VS.test(i) == 1
            k = k+1;
            gt_fold{k} = fullfile(VS.gtPixIdPath, VS.vid{i});
            svMap_path{k} = fullfile(PATH.svTSPMat, VS.vid{i});
            label_list{k} = fullfile(PATH.modTrilayer, [VS.vid{i},'.mat']);
        end
    end
    evaluate_dataset(LabelSet, gt_fold, svMap_path, label_list);
end



%% Evaluate Segmentation: Joint / Obj / Act
function evaluate_dataset(LabelSet, gt_fold, svMap_path, label_list)

C{length(gt_fold),1} = [];
C_obj{length(gt_fold),1} = [];
C_act{length(gt_fold),1} = [];

parfor i=1:length(gt_fold)
    label = load(label_list{i});
    [C{i}, C_obj{i}, C_act{i}] = evalPixLabel(LabelSet, ...
        gt_fold{i}, 'pgm', svMap_path{i}, label.labelIDX);
end

CM = zeros(LabelSet.jointNum + 1);
CM_obj = zeros(LabelSet.objNum + 1);
CM_act = zeros(LabelSet.actNum + 1);

for i=1:length(C)
    CM = CM + C{i};
    CM_obj = CM_obj + C_obj{i};
    CM_act = CM_act + C_act{i};
end

accuGlobal = sum(diag(CM))/sum(CM(:));
accuPerClass = diag(CM)./sum(CM,2);
accuAveClass = mean(accuPerClass);

fprintf('Average Per-Class Accuracy: %f (Joint)\n', accuAveClass*100);
fprintf('Global Pixel Accuracy: %f (Joint)\n', accuGlobal*100);

accuGlobal_obj = sum(diag(CM_obj))/sum(CM_obj(:));
accuPerClass_obj = diag(CM_obj)./sum(CM_obj,2);
accuAveClass_obj = mean(accuPerClass_obj);

fprintf('Average Per-Class Accuracy: %f (Obj)\n', accuAveClass_obj*100);
fprintf('Global Pixel Accuracy: %f (Obj)\n', accuGlobal_obj*100);

accuGlobal_act = sum(diag(CM_act))/sum(CM_act(:));
accuPerClass_act = diag(CM_act)./sum(CM_act,2);
accuAveClass_act = mean(accuPerClass_act);

fprintf('Average Per-Class Accuracy: %f (Act)\n', accuAveClass_act*100);
fprintf('Global Pixel Accuracy: %f (Act)\n', accuGlobal_act*100);




