% This script is the main file for CVPR'15 paper.

%% System Environment Setup
[LIB, VS, PATH, Param, LabelSet] = globals('A2D');

% The following binary flags are used to control the on/off of different 
% modules. For example, if you have computed or downloaded the segment
% unaries/potentials and segment affinity, you can directly set flags for
% running models and evaluation.

%% Features

Flag.feature.mr = 0;
Flag.feature.sift = 0;
Flag.feature.flow = 0;
Flag.feature.dt = 0;
Flag.feature.hog3d = 0;

CVPR15Feature(LIB, VS, PATH, Param, LabelSet, Flag);

%% Supervoxel Segments

Flag.segment.tsp = 0;
Flag.segment.descriptor = 0;
Flag.segment.affinity = 0;
Flag.segment.groundtruth = 0;
Flag.segment.classifier = 0;
Flag.segment.potential = 0;

CVPR15Segment(LIB, VS, PATH, Param, LabelSet, Flag);

%% Models

Flag.model.naivebayes = 0;
Flag.model.jointps = 0;
Flag.model.conditional = 0;
Flag.model.bilayer = 0;
Flag.model.trilayer = 0;

CVPR15Model(LIB, VS, PATH, Param, LabelSet, Flag);

%% Evaluation

Flag.evaluation.naivebayes = 0;
Flag.evaluation.jointps = 0;
Flag.evaluation.conditional = 0;
Flag.evaluation.bilayer = 0;
Flag.evaluation.trilayer = 0;

CVPR15Evaluation(LIB, VS, PATH, Param, LabelSet, Flag);


