function test = svmtesting(lib, model, pos_feat, neg_feat)

addpath(genpath(lib));

test.pos_num = size(pos_feat,1);
test.neg_num = size(neg_feat,1);

%% validate on positive set
fprintf('Classification rate on positive set ... \n');
[test.pos_label, test.pos_accuracy, test.pos_probs] = ...
    svmpredict(ones(test.pos_num,1), pos_feat, model.model, '-b 1');

%% validate on negative set
fprintf('Classification rate on negative set ... \n');
[test.neg_label, test.neg_accuracy, test.neg_probs] = ...
    svmpredict(-ones(test.neg_num,1), neg_feat, model.model, '-b 1');

%% average over pos and neg
test.accuracy = (test.pos_num/(test.pos_num+test.neg_num))*test.pos_accuracy(1) + ...
    (test.neg_num/(test.pos_num+test.neg_num))*test.neg_accuracy(1);
message = sprintf('Average Accuracy: %f\n', test.accuracy);
disp(message);
