function model = svmtraining(lib, labelID, type, pos_feat, neg_feat)

addpath(genpath(lib));

model.id = labelID;
model.type = type;

model.pos_num = size(pos_feat,1);
model.neg_num = size(neg_feat,1);

% train svm model
fprintf('Training svm classifier ... \n');
if model.neg_num > model.pos_num
    options = sprintf('-t 0 -b 1 -w1 %d -w-1 1', ...
        floor(model.neg_num/model.pos_num));
else
    options = sprintf('-t 0 -b 1 -w1 1 -w-1 %d', ...
        floor(model.pos_num/model.neg_num));
end
disp(options);

model.model = svmtrain([ones(model.pos_num,1);-ones(model.neg_num,1)], ...
    [pos_feat;neg_feat], options);

% validate on positive set
fprintf('Training rate on positive set ... \n');
[model.pos_label, model.pos_accuracy, model.pos_probs] = ...
    svmpredict(ones(model.pos_num,1), pos_feat, model.model, '-b 1');

% validate on negative set
fprintf('Training rate on negative set ... \n');
[model.neg_label, model.neg_accuracy, model.neg_probs] = ...
    svmpredict(-ones(model.neg_num,1), neg_feat, model.model, '-b 1');

