function labelIDX = conInfer(svMap, objNum, labelIDX_Obj, ...
    actNum, svPot_ActOnObj, savepath)


labelIDX_Obj = labelIDX_Obj - 1; % BK=0, Obj=1-7

labelIDX_Act = zeros(size(labelIDX_Obj));

for i=1:objNum
    thisObj_Pos = (labelIDX_Obj==i);
    if sum(thisObj_Pos) == 0
        continue
    end
    
    connectivity = hyperGraph(svMap, thisObj_Pos);
    startPos = (i-1)*actNum + 1;
    endPos = i*actNum;
    ActProb = svPot_ActOnObj(:,startPos:endPos);
    [~, ActLabels] = max(ActProb,[],2);
    for k=1:length(connectivity)
        labelIDX_Act(connectivity{k}) = mode(ActLabels(connectivity{k}));
    end

end

labelIDX = labelIDX_Obj*10 + labelIDX_Act;
labelIDX(labelIDX==0) = 1;

savefold = fileparts(savepath);
if ~exist(savefold, 'dir')
    mkdir(savefold);
end
save(savepath, 'labelIDX', '-v7.3');


function connectivity = hyperGraph(svMap, thisObj_Pos)

sv_labels_status = thisObj_Pos(svMap);
CC = bwconncomp(sv_labels_status,26);
connectivity{length(CC.PixelIdxList)} = [];
for i=1:length(CC.PixelIdxList)
    connectivity{i} = unique(svMap(CC.PixelIdxList{i}));
end
