function labelIDX = flatInfer_UGM(lib, labelMap, unary, Bmap, Bvalue, savepath, w)

addpath(genpath(lib));

%% Edge Potential
[~, num_states] = size(unary);
edgeStruct = UGM_makeEdgeStruct(Bmap, num_states);
edgePot = zeros(num_states,num_states,edgeStruct.nEdges);
for e = 1:edgeStruct.nEdges
    n1 = edgeStruct.edgeEnds(e,1);
    n2 = edgeStruct.edgeEnds(e,2);
    pot_same = eye(num_states);
    pot_other = ~eye(num_states).*Bvalue(n1,n2);
    edgePot(:,:,e) = (pot_same+pot_other).*w(1);
    % edgePot(:,:,e) = ones(states);
end

%% Inference
nodeBel = UGM_Infer_LBP(unary,edgePot,edgeStruct);
[~, labelIDX] = max(nodeBel,[],2);

labelIDX = labelMap(labelIDX);

savefold = fileparts(savepath);
if ~exist(savefold, 'dir')
    mkdir(savefold);
end
save(savepath, 'labelIDX', '-v7.3');
