function ID = vsName2Id(name)

if strcmp(name, 'background')
    ID = 0;
    return
end

if ~isempty(strfind(name, '-'))
    C = strsplit(name, '-');
    object_name = C{1};
    action_name = C{2};
else
    object_name = name;
    action_name = 'none';
end

switch object_name
    case 'adult'
        obj_id = 1;
    case 'baby'
        obj_id = 2;
    case 'ball'
        obj_id = 3;
    case 'bird'
        obj_id = 4;
    case 'car'
        obj_id = 5;
    case 'cat'
        obj_id = 6;
    case 'dog'
        obj_id = 7;
    otherwise
        ID = [];
        return
end

switch action_name
    case 'climbing'
        act_id = 1;
    case 'crawling'
        act_id = 2;
    case 'eating'
        act_id = 3;
    case 'flying'
        act_id = 4;
    case 'jumping'
        act_id = 5;
    case 'rolling'
        act_id = 6;
    case 'running'
        act_id = 7;
    case 'walking'
        act_id = 8;
    case 'none'
        act_id = 9;
    otherwise
        ID = [];
        return
end

ID = obj_id*10 + act_id;
