function [CM, CM_obj, CM_act] = evalPixLabel(LabelSet, ...
    gtFold, gtFMT, svMapPath, labelIDX)


%% Load segmentation
load(svMapPath); % svMap
[I_h, I_w, ~] = size(svMap);

%% Load Ground-Truth Annotation Images
gtList = dir(fullfile(gtFold, ['*.',gtFMT]));
gtframeNum = length(gtList);
GT = zeros(I_h, I_w, gtframeNum);
gtframeID = zeros(gtframeNum,1);
for i=1:length(gtList)
    GT(:,:,i) = imread(fullfile(gtFold, gtList(i).name));
    gtframeID(i) = str2double(gtList(i).name(1:5));
end
GT = double(GT);
GT(GT==0) = 1; % background get assigned ID 1

%% We only evaluate on the labelled frames.
svMap = svMap(:,:,gtframeID);

%% Object
GT_obj = segLabelsToObjBK(GT(:));
labelIDX_obj = segLabelsToObjBK(labelIDX(:));
svMap_obj = labelIDX_obj(svMap);
CM_obj = confusionmat(GT_obj(:), svMap_obj(:), ...
    'order', 1:LabelSet.objNum+1);

%% Action
GT_act = segLabelsToActBK(GT(:));
labelIDX_act = segLabelsToActBK(labelIDX(:));
svMap_act = labelIDX_act(svMap);
CM_act = confusionmat(GT_act(:), svMap_act(:), ...
    'order', 1:LabelSet.actNum+1);

%% Joint Label
if sum(ismember(labelIDX,[1;LabelSet.joint])) ~= length(labelIDX)
    labelIDX(labelIDX<10) = 1;
    labelIDX(labelIDX==10) = 19;
    labelIDX(labelIDX==20) = 29;
    labelIDX(labelIDX==30) = 39;
    labelIDX(labelIDX==40) = 49;
    labelIDX(labelIDX==50) = 59;
    labelIDX(labelIDX==60) = 69;
    labelIDX(labelIDX==70) = 79;
end
svMap = labelIDX(svMap);
CM = confusionmat(GT(:), svMap(:), 'order', [1; LabelSet.allSet]);
CM(~[true; LabelSet.allSetValid],:) = [];
CM(:,~[true; LabelSet.allSetValid]) = [];


