function featDPM(codePath, modelPath, framePath, frameFMT, savePath, frameList)
% This function is used to test single DPM model over a video w/o nms.

% add DPM code to path
addpath(genpath(codePath));

% load a trained model
load(modelPath);

% select frames
if nargin < 6
    frameList = dir(fullfile(framePath,'*.',frameFMT));
end

% detection
ds = []; bs = [];
for i=1:length(frameList)
    im = imread(fullfile(framePath, frameList(i).name));
    [tds, tbs] = imgdetect(im, model, -99999); % set a low score for recall
    top = nms(tds, 0.5); % set nms at 0.5
    ds{i} = tds(top,:);
    bs{i} = tbs(top,:);
end

saveFold = fileparts(savePath);
if ~exist(saveFold, 'dir')
    mkdir(saveFold);
end
save(savePath, 'ds', 'bs', 'frameList', '-v7.3');

% load(savePath); % ds, bs, frameList
% for i=1:length(ds)
%     tds = ds{i}; tbs = bs{i};
%     if ~isempty(tds)
%         top = nms(tds, 0.5);
%         ds{i} = tds(top,:);
%         bs{i} = tbs(top,:);
%     end
% end
% save(savePath, 'ds', 'bs', 'frameList', '-v7.3');
