function featHist = ftDt(lib, center_mat, fpath, savepath, param)

% load codebook
load(center_mat);

% load raw feature
load(fpath); % raw
raw = double(raw);

% abstract locations of points
% (x1, y1), (x2, y2), ...
% x --> column, y --> row
locations = floor(raw(:,end-29:end).*repmat(raw(:,7),1,30));
locations = cat(2, raw(:,1), locations);
raw = raw(:,11:end-30);


IDX.traj = knnsearch(centers.traj, raw(:,1:30));
IDX.hog = knnsearch(centers.hog, raw(:,31:126));
IDX.hof = knnsearch(centers.hof, raw(:,127:234));
IDX.mbhx = knnsearch(centers.mbhx, raw(:,235:330));
IDX.mbhy = knnsearch(centers.mbhy, raw(:,331:426));

% save results
featHist = cat(2, locations, ...
    IDX.traj, IDX.hog, IDX.hof, IDX.mbhx, IDX.mbhy);
featHist = uint16(featHist);

savefold = fileparts(savepath);
if ~exist(savefold, 'dir')
    mkdir(savefold);
end
save(savepath, 'featHist', '-v7.3');