function centers = ftFlowBook(lib, fpath_list, savepath, param)

x_num = param.x_num;
y_num = param.y_num;
mag_num = param.mag_num;
sample_num = param.sample_num;

x = []; y =[]; mag = [];
for i=1:length(fpath_list)
    fprintf('Processing video %d ...\n', i);
    rawflow_mat = dir(fullfile(fpath_list{i}, '*.mat'));
    p = randperm(length(rawflow_mat));
    
    % Load sample mat of a video, flow.fvx flow.fvy flow.bvx flow.bvy
    load(fullfile(fpath_list{i}, rawflow_mat(p(1)).name));
    x = [x;flow.fvx(:)];
    y = [y;flow.fvy(:)];
    
    flow_mag = sqrt(flow.fvx.^2+flow.fvy.^2);
    mag = [mag;flow_mag(:)];
end

if numel(mag) > sample_num
    p = randperm(numel(mag));
    magSample = mag(p(1:sample_num));
    xSample = x(p(1:sample_num));
    ySample = y(p(1:sample_num));
end

opts = statset('MaxIter',500,'Display','iter');
[~, centers.x] = kmeans(xSample, x_num, 'Options',opts);
[~, centers.y] = kmeans(ySample, y_num, 'Options',opts);
[~, centers.mag] = kmeans(magSample, mag_num, 'Options',opts);


savefold = fileparts(savepath);
if ~exist(savefold, 'dir')
    mkdir(savefold);
end
save(savepath, 'centers', '-v7.3');
