function textons_video = ftMr(lib, center_mat, fpath, savepath, param)
% This function is used to compute and encode MR features.

addpath(genpath(lib));

load(center_mat);

flist = dir(fullfile(fpath,'*.png'));
fnum = length(flist);
im = imread(fullfile(fpath,flist(1).name));
[im_h, im_w, ~] = size(im);
textons_video = single(zeros(im_h, im_w, fnum));

for i=1:fnum
    fprintf('processing frame: %d\n', i);
    im = imread(fullfile(fpath,flist(i).name));
    [foo, filt_resp] = FullMR8(im);
    dist_mat = dist2(filt_resp', centers);
    [min_dist, min_ind] = min(dist_mat, [], 2);
    textons_video(:,:,i) = single(reshape(min_ind,[size(im,1) size(im,2)]));
end

savefold = fileparts(savepath);
if ~exist(savefold, 'dir')
    mkdir(savefold);
end
save(savepath, 'textons_video', '-v7.3');