function textons_video = ftSift(lib, center_mat, fpath, savepath, param)
% This function is used to compute and encode SIFT features.

addpath(genpath(lib));

load(center_mat);

files = dir(fullfile(fpath,'*.png'));
fnum = length(files);
im = imread(fullfile(fpath,files(1).name));
[im_h, im_w, ~] = size(im);
textons_video = single(zeros(im_h, im_w, fnum));

for i=1:fnum
    fprintf('processing frame: %d\n', i);
    im = imread(fullfile(fpath,files(i).name));
    im2 = padarray(im,[7 7],'symmetric','both');
    sift = sp_dense_sift(im2);
    flatsift = reshape(sift,[size(sift,1)*size(sift,2) size(sift,3)]);
    dist_mat = dist2(flatsift, centers);
    [min_dist, min_ind] = min(dist_mat, [], 2);
    textons_video(:,:,i) = single(reshape(min_ind,[size(sift,1) size(sift,2)]));
end

savefold = fileparts(savepath);
if ~exist(savefold, 'dir')
    mkdir(savefold);
end
save(savepath, 'textons_video', '-v7.3');
