function [LIB, VS, PATH, Param, LabelSet] = globals(vsName)
% This file is used to setup the system path and environment.

codeRoot = pwd;

%% Internal Library Paths

addpath(genpath(fullfile(codeRoot,'utility')));
addpath(genpath(fullfile(codeRoot,'dataset')));
addpath(genpath(fullfile(codeRoot,'feature')));
addpath(genpath(fullfile(codeRoot,'segment')));
addpath(genpath(fullfile(codeRoot,'classifiers')));
addpath(genpath(fullfile(codeRoot,'evaluation')));
addpath(genpath(fullfile(codeRoot,'visual')));
addpath(genpath(fullfile(codeRoot,'cvpr15')));


%% External Library Paths

LIB.Filters = fullfile(codeRoot,'..','external','filters');
LIB.SpatialPyramid = fullfile(codeRoot,'..','external','SpatialPyramid');
LIB.Flow = fullfile(codeRoot,'..','external','optical_flow_celiu');
LIB.DT = fullfile(codeRoot,'..','external','dense_trajectory_release_v1.2','release','DenseTrack');
LIB.TSP = fullfile(codeRoot,'..','external','TSP_2015-01-12');
LIB.Libsvm = fullfile(codeRoot,'..','external','libsvm-3.18','matlab');
LIB.UGM = fullfile(codeRoot,'..','external','UGM');

% addpath(fullfile(codeRoot,'..','external','Utility','export_fig')); % To Save PDF Figures


%% Videoset 
switch vsName
    case 'A2D'
        [VS, PATH, Param, LabelSet] = setupDatasetA2D(codeRoot);
end



