function convSegMultiple(IN_path, fmt, OUT_path)
% This function is used to convert supervoxels from image format to mat
% file for a parent folder that contains a set of subfolders.

if ~exist(IN_path, 'dir')
    fprintf('Not exist %s \n', IN_path);
    return
end

if ~exist(OUT_path, 'dir')
    mkdir(OUT_path);
end

subFolds = listSubFold(IN_path);
if ~isempty(subFolds)
    fprintf('This is the parent folder. Read the set of sub folders.\n');
    for i=1:length(subFolds)
        fprintf('processing sub-folder %s ...\n', subFolds{i});
        savepath = fullfile(OUT_path, [subFolds{i},'.mat']);
        if ~exist(savepath, 'file')
            [svMap, ~] = readSegmentation(fullfile(IN_path, subFolds{i}), fmt);
            if ~isempty(svMap)
                save(savepath, 'svMap', '-v7.3');
            end
        end
    end
end
