function [posFeat, negFeat] = getFeatVect(VS, PATH, posSamples, negSamples)

posSamples_seg = posSamples(:,1);
posSamples_video = posSamples(:,2);
negSamples_seg = negSamples(:,1);
negSamples_video = negSamples(:,2);

posFeat = [];
negFeat = [];
for i=1:length(VS.vid)
    posStatus = posSamples_seg((posSamples_video==i));
    negStatus = negSamples_seg((negSamples_video==i));
    if isempty(posStatus) && isempty(negStatus)
        continue
    end

    base = load(fullfile(PATH.svTSPDesc, 'base', [VS.vid{i}, '.mat']));
    dt = load(fullfile(PATH.svTSPDesc, 'dt', [VS.vid{i}, '.mat']));
    fv = cat(2, base.fv, dt.fv);

    posFeat = [posFeat; fv(posStatus,:)];
    negFeat = [negFeat; fv(negStatus,:)];
    if mod(i, 50) == 0
        fprintf('processed %i videos ...\n', i);
    end
end

