function Pool = getPool(VS, SB, type, labelID, trainFlag)
% type = 'BK'
%   labelID = 1
% type = 'Obj'
%   labelID = 1-adult, 2-baby, 3-ball, 4-bird, 5-car, 6-cat, 7-dog
% type = 'Act'
%   labelID = 1-climbing, 2-crawling, 3-eating, 4-flying, 5-jumping,
%       6-rolling, 7-running, 8-walking, 9-none/mixed
% type = 'ObjAct'
%   labelID = 11, 12, 13, 15, 16, 17, 18, 19
%       21, 22, 26, 28, 29
%       34, 35, 36, 39
%       41, 43, 44, 45, 46, 48, 49
%       54, 55, 56, 57, 59
%       61, 63, 65, 66, 67, 68, 69
%       72, 73, 75, 76, 77, 78, 79.
% trainflag = 1 --> get train set
% trainflag = 0 --> get test set

Pool = [];
for i=1:length(VS.vid)
    
    % Skip criterion
    if VS.test(i) == trainFlag
        continue
    end
    
    seg2add = [];
    switch type
        case 'BK'
            seg2add = find(SB.segLabels{i}==1);
        case 'ObjAct'
            seg2add = find(SB.segLabels{i}==labelID);
        case 'Obj'
            seg2add = find(SB.segLabels{i}>(labelID*10) & ...
                SB.segLabels{i}<=(labelID*10 + 9));
        case 'Act'
            seg2add = find(mod(SB.segLabels{i},10)==labelID & ...
                SB.segLabels{i}~=1);
        otherwise
            fprintf('Unknown type!\n');
            return
    end
    if ~isempty(seg2add)
        seg2add(:,2) = i;
        Pool = [Pool; seg2add];
    end
end
