function Bmap = svAffinity(svMap_path, savepath)

load(svMap_path);
segmentList = unique(svMap);
segmentNum = length(segmentList);
fprintf('Loaded video segmentation with %d segments.\n', segmentNum);

Bmap = zeros(segmentNum);
for i=1:length(segmentList)
    svmap_i = (svMap==segmentList(i));
    svmap_i_b = imdilate(svmap_i, ones(3,3,3))&(~svmap_i);
    neighbors = unique(svMap(svmap_i_b));
    Bmap(segmentList(i), neighbors) = 1;
    if mod(i, 100) == 0
        fprintf('Processed over %d segments ...\n', i);
    end
end
Bmap = sparse(Bmap);

savefold = fileparts(savepath);
if ~exist(savefold, 'dir')
    mkdir(savefold);
end
save(savepath, 'Bmap', '-v7.3');
