function svMap = svTSP(lib, fpath, fmt, savepath, param)

addpath(genpath(lib));

% Setting Parameters
K = param.k;

% run program
if fpath(end) ~= '/'
    fpath(end+1) = '/';
end
files = dir(fullfile(fpath, ['*.',fmt]));
dispOn = false;
svMap = TSP(K, fpath, files, dispOn);

% cnovert label map
svMap = svMap + 1;
svMap = double(svMap);
svMap = cvlbmap(svMap);
svMap = uint32(svMap);

savefold = fileparts(savepath);
if ~exist(savefold, 'dir')
    mkdir(savefold);
end
save(savepath, 'svMap', '-v7.3');


