function bad = extractFrames(clip_fold, frames_fold, frameFormat)
% This script is used to extract frames from a video.

if ~exist(frames_fold, 'dir')
    mkdir(frames_fold);
end

clipList = dir(fullfile(clip_fold,'*.mp4'));
bad = []; bad_cnt = 0;
for i=1:length(clipList)
    clip = fullfile(clip_fold,clipList(i).name);
    frames_path = fullfile(frames_fold,clipList(i).name(1:end-4));
    if ~exist(frames_path, 'dir')
        mkdir(frames_path);
        cmd = sprintf('ffmpeg -i %s %s/%%05d.%s', ...
            clip, frames_path, frameFormat);
        if system(cmd)
            bad_cnt = bad_cnt + 1;
            bad{bad_cnt} = clipList(i).name;
        end
    end
end
