function bad = resizeVideos(in_fold, out_fold)
% This script is used to resize videos in a folder.

if ~exist(out_fold, 'dir')
    mkdir(out_fold);
end

clipList = dir(fullfile(in_fold,'*.mp4'));
bad = []; bad_cnt = 0;
for i=1:length(clipList)
    clip_in = fullfile(in_fold,clipList(i).name);
    clip_out = fullfile(out_fold,clipList(i).name);
    if exist(clip_out, 'file')
        continue
    end
    cmd = sprintf('ffmpeg -i %s -vf scale=''trunc(oh*a/2)*2:320'' %s', ...
        clip_in, clip_out);
    if system(cmd)
        bad_cnt = bad_cnt + 1;
        bad{bad_cnt} = clipList(i).name;
    end
end
