function bigM = montage_image(imArray, hNumBigM, wNumBigM)
% This function retures a montage image. This is to replace the matlab
% montage function which only retures an image handle (hard to port/save).

vNumBigM = length(imArray);
if vNumBigM ~= hNumBigM*wNumBigM
    error('Montage col/row dismatch the image array.');
end

rowBigM = cell(hNumBigM,1);
for i=1:hNumBigM
    startPos = (i-1)*wNumBigM+1;
    endPos = i*wNumBigM;
    rowBigM{i} = cat(2, imArray{startPos:endPos});
end

bigM = rowBigM{1};
for i=2:hNumBigM
    bigM = cat(1, bigM, rowBigM{i});
end
