function visualGTfull(VS, vid, out_path)
% This function is used to visualize ground-truth in a video.

%% Load GT frame
gtList = dir(fullfile(VS.gtPixColPath, vid, '*.png'));
gtNum = length(gtList);
gtframeID = zeros(gtNum,1);
gtframeIM{gtNum} = [];
for i=1:gtNum
    gtframeID(i) = str2double(gtList(i).name(1:5));
    gtframeIM{i} = imread(fullfile(VS.gtPixColPath, vid, gtList(i).name));
end

%% Get Assignment Status
step = floor((gtframeID(2)-gtframeID(1))/2);
if step > 10
    step = 10;
end
frameStatus = zeros(VS.frames(ismember(VS.vid,vid)),1);
for i=1:gtNum
    this_pos = gtframeID(i);
    frameStatus(this_pos-step:this_pos+step) = i;
end

%% Output Images
blankIM = zeros(size(gtframeIM{1}));
blankIM = uint8(blankIM);

savefold = fullfile(out_path);
if ~exist(savefold, 'dir')
    mkdir(savefold);
end

for i=1:length(frameStatus)
    savepath = sprintf('%s/%05d.png', savefold, i);
    if frameStatus(i) == 0
        imwrite(blankIM, savepath);
    else
        imwrite(gtframeIM{frameStatus(i)}, savepath);
    end
end
    
