% This function is used to generate color to id map.
% globals;
settings;

obj_length = 20;
obj_gap = 4;
act_length = 40;
act_gap = 2;

map = zeros(LabelSet.objNum*(obj_length+obj_gap), ...
    LabelSet.actNum*(act_length+act_gap), ...
    3);

vsColMap;
for i=1:LabelSet.objNum
    for j=1:LabelSet.actNum
        startPos_row = (i-1)*(obj_length+obj_gap) + 1;
        endPos_row = i*(obj_length+obj_gap);
        startPos_col = (j-1)*(act_length+act_gap) + 1;
        endPos_col = j*(act_length+act_gap);
        map(startPos_row:endPos_row,startPos_col:endPos_col,1) = C(j,1,i);
        map(startPos_row:endPos_row,startPos_col:endPos_col,2) = C(j,2,i);
        map(startPos_row:endPos_row,startPos_col:endPos_col,3) = C(j,3,i);
    end
end

for i=1:LabelSet.objNum
    startPos = i*(obj_length+obj_gap)-obj_gap+1;
    endPos = i*(obj_length+obj_gap);
    map(startPos:endPos,:,:) = 255;
end
for i=1:LabelSet.actNum
    startPos = i*(act_length+act_gap)-act_gap+1;
    endPos = i*(act_length+act_gap);
    map(:,startPos:endPos,:) = 255;
end

map = uint8(map);
imshow(map);
imwrite(map,'ColorMap.png');

%% printf out Mappings
mapping_fid = fopen('mapping.txt', 'wt');
fprintf(mapping_fid, 'BK,0,0,0,0\n');
for k=1:LabelSet.jointNum
    ID = LabelSet.joint(k);
    obj_id = floor(ID/10);
    act_id = mod(ID,10);
    [obj_name, act_name] = vsId2Name(ID);
    fprintf(mapping_fid, '%s-%s,%d,%d,%d,%d\n', obj_name, act_name, ID, ...
        C(act_id,1,obj_id), C(act_id,2,obj_id), C(act_id,3,obj_id));
end
fclose(mapping_fid);





