function visualSegLabels(VS, LabelSet, PATH, vid, labelIDX, out_path)
% This function is used to visualize the segment labels in a video.

%% Load video segmentation
load(fullfile(PATH.svTSPMat, [vid, '.mat']));

%% Load GT frame
gtList = dir(fullfile(VS.gtPixIdPath, vid, '*.pgm'));
gtframeNum = length(gtList);
gtframeID = zeros(gtframeNum,1);
for i=1:length(gtList)
    gtframeID(i) = str2double(gtList(i).name(1:5));
end

%% Map labelIDX to video segmentation
svMap = svMap(:,:,gtframeID);
seg = labelIDX(svMap);
seg(seg==1) = 0;


if ~exist(out_path, 'dir')
    mkdir(out_path);
end

for i=1:gtframeNum 
    seg_col = vsIdMap2ColMap(LabelSet.C, seg(:,:,i));
    savepath = sprintf('%s/%s_%05d.png', out_path, vid, gtframeID(i));
    imwrite(seg_col, savepath, 'png');
end



