function visualSegLabels_full(LabelSet, PATH, vid, labelIDX, out_path)
% This function is used to visualize the segment labels in a video.

%% Load video segmentation
load(fullfile(PATH.svTSPMat, [vid, '.mat']));

%% Map labelIDX to video segmentation
seg = labelIDX(svMap);
seg(seg==1) = 0;


savefold = fullfile(out_path);
if ~exist(savefold,'dir')
    mkdir(savefold);
end

for i=1:size(seg,3)
    seg_col = vsIdMap2ColMap(LabelSet.C, seg(:,:,i));
    savepath = sprintf('%s/%05d.png', savefold, i);
    imwrite(seg_col, savepath, 'png');
end



