function visualSegmentation(svMap, OUT_path)
% This function is used to visualize the supervoxel segmentation of a video.

% Load video segmentation
[I_h, I_w, frame_num] = size(svMap);
svx_num = max(svMap(:));

Color_sample = randsample(1:255*255*255, svx_num);
for i=1:svx_num
    [R(i), G(i), B(i)] = V_map_3D(Color_sample(1,i),255,255);
end

savefold = fullfile(OUT_path);
if ~exist(savefold,'dir')
    mkdir(savefold);
end

for i=1:frame_num
    this_svMap = svMap(:,:,i);
    uniqueSvx = unique(this_svMap);
    
    image_r = zeros(I_h,I_w);
    image_g = zeros(I_h,I_w);
    image_b = zeros(I_h,I_w);
    
    for k=1:length(uniqueSvx)
        svmap = (this_svMap==uniqueSvx(k));
        image_r(svmap) = R(uniqueSvx(k));
        image_g(svmap) = G(uniqueSvx(k));
        image_b(svmap) = B(uniqueSvx(k));
    end
    
    im = cat(3,image_r,image_g,image_b);
    im = uint8(im);
    savepath = sprintf('%s/%05d.png', savefold, i);
    imwrite(im, savepath);
end


