function visualSvUnary(framePath, frameFMT, svMap, svUnary, classNameList)
% Use this function to monitor supervoxel unary in a video.
% svUnary - 
%   Each row presents a supervoxel in the same order in svMap.
%   Each col presents the potential [0:1] of taking a label.

if nargin < 5
    classNameList = [];
end


frameList = dir(fullfile(framePath, ['*.',frameFMT]));
frameNum = length(frameList);

[~, classNum] = size(svUnary);

for i=1:frameNum
    
    thisSvMap = svMap(:,:,i);
    
    subplot(1,classNum+1,1);
    rgbIm = imread(fullfile(framePath, frameList(i).name));
    imshow(rgbIm);
    titleStr = sprintf('frame %d', i);
    title(titleStr);
    
    for j=1:classNum
        
        thisSvUnary = svUnary(:,j);
        thisSvMapUnary = thisSvUnary(thisSvMap);
        
        subplot(1,classNum+1,j+1);
        imshow(thisSvMapUnary);
        
        if ~isempty(classNameList)
            titleStr = sprintf('%s: %.2f', classNameList{j}, max(thisSvUnary));
        else
            titleStr = sprintf('%d: %.2f', j, max(thisSvUnary));
        end
        title(titleStr);
        
    end
    
    pause(0.05);
end
